/*!
 * @file Quest.h
 * @brief クエストのプロトタイプ
 * @date 2013/12/11
 * @author Deskull
 * 2013 Sikabane Works.
 */

#include "stdafx.h"
#include "GameElement.h"

#pragma once

/*! 
 * @class Quest
 * @brief クエストのクラス
 */
class Quest : public GameElement
{

private:

public:

	/*! 
	 * @brief Questクラスコンストラクタ(GameElementメンバ対応)
	 * @param id GameElementのID
	 * @param TAG GameElementのタグ
	 * @param gameWorld 所属元gameWorld参照ポインタ
	 */
	Quest::Quest(ID id, TAG tag, GameWorld *gameWorld);

	Quest::Quest(void);

	Quest::~Quest(void);

};